# Ogre::D3D9HLSLProgramFactory Class Reference

Factory class for D3D9 HLSL programs. More...

`#include <OgreD3D9HLSLProgramFactory.h>`

Inheritance diagram for Ogre::D3D9HLSLProgramFactory:

List of all members.

## Public Member Functions

| D3D9HLSLProgramFactory ()
| ~D3D9HLSLProgramFactory ()
const String & | getLanguage (void) const
| Get the name of the language this factory creates programs for.
HighLevelGpuProgram * | create (ResourceManager *creator, const String &name, ResourceHandle handle, const String &group, bool isManual, ManualResourceLoader *loader)
void | destroy (HighLevelGpuProgram *prog)

## Detailed Description

Factory class for D3D9 HLSL programs.

Definition at line 34 of file OgreD3D9HLSLProgramFactory.h.

## Constructor & Destructor Documentation

Ogre::D3D9HLSLProgramFactory::D3D9HLSLProgramFactory | ( |  | ) |

Ogre::D3D9HLSLProgramFactory::~D3D9HLSLProgramFactory | ( |  | ) |

## Member Function Documentation

HighLevelGpuProgram* Ogre::D3D9HLSLProgramFactory::create | ( | ResourceManager * | creator,
|  | const String & | name,
|  | ResourceHandle | handle,
|  | const String & | group,
|  | bool | isManual,
|  | ManualResourceLoader * | loader
| ) | `[virtual]`

| Implements Ogre::HighLevelGpuProgramFactory.

void Ogre::D3D9HLSLProgramFactory::destroy | ( | HighLevelGpuProgram * | prog | ) | `[virtual]`

| Implements Ogre::HighLevelGpuProgramFactory.

const String& Ogre::D3D9HLSLProgramFactory::getLanguage | ( | void |  | ) | const`[virtual]`

| Get the name of the language this factory creates programs for. Implements Ogre::HighLevelGpuProgramFactory.

The documentation for this class was generated from the following file:

- OgreD3D9HLSLProgramFactory.h

Copyright © 2000-2005 by The OGRE Team
Last modified Sun Nov 20 12:45:17 2005